# Configuration

## :gear: Configuration

This section includes all configurations available for the stack.

### Configuration File

The stack's configuration file is located at `.easy-cozy/cozystack/cozy.yml`. It can be edited in order to changes various parameters, smtp, logs ...

### SMTP

Modify the `cozy.yml` responsible for the configuration :

```yml title="cozy.yml"
mail:
  # mail noreply address - flags: --mail-noreply-address
  noreply_address: noreply@localhost
  noreply_name: My Cozy
  reply_to: support@cozycloud.cc
  # mail smtp host - flags: --mail-host
  host: smtp.home
  # mail smtp port - flags: --mail-port
  port: 465
  # mail smtp username - flags: --mail-username
  username: { { .Env.COZY_MAIL_USERNAME } }
  # mail smtp password - flags: --mail-password
  password: { { .Env.COZY_MAIL_PASSWORD } }
  # disable mail tls - flags: --mail-disable-tls
  disable_tls: false
  # skip the certificate validation (may be useful on localhost)
  skip_certificate_validation: false
```

:::warning known issue

A known cozy-stack issue [here](https://github.com/cozy/cozy-stack/issues/2009) causes you to have to change the above configuration with:

```yml
mail:
  # mail smtp port - flags: --mail-port
  port: 587
  # disable mail tls - flags: --mail-disable-tls
  disable_tls: true
```

:::

After updating configuration don't forget to restart your cozy-stack :

```bash
docker-compose restart cozy
```
