# Analyse

L'écran d'analyse montre à l'utilisateur un récapitulatif de sa consommation à l'échelle mensuelle. Les informations sont découpées en plusieurs blocs décris ci-dessous.

## Notification

Chaque mois, l'utilisateur recevra une notification l'informant qu'il peut consulter sa nouvelle analyse s'il l'a activée dans la page d'option.

## Navigation

Les utilisateurs ont la possibilité de naviguer mois par mois. Le mois par défaut est le mois complet précédent la date d'aujourd'hui. Il n'est pas possible de naviguer après la dernière analyse (qui est fixée au mois suivant + 3 jours afin d'avoir un mois avec des données complètes).

:::info Example de date

Par exemple, le 3 juin, un utilisateur pourra voir son analyse de Mai.

:::

Les utilisateurs ne seront pas bloqués pour naviguer dans les dates précédentes, et s'il n'y a pas d'analyse à afficher, nous utilisons le même comportement que dans le graphique : nous affichons des tirets à la place des données.

## Bloc Comparaison

Ce bloc est divisé en deux parties, une première concernant la température moyenne et l'autre la consommation.

### Comparatif de température moyenne

Ce bloc affiche une comparaison de la température moyenne du dernier mois avec celle du mois précédent, ou de l'année précédente. Cela permet d'évaluer le contexte de l'évolution de la consommation des fluides.

:::info Source des températures

Donnée de température mensuelle moyenne à récupérer sur [Data Grand Lyon](https://data.grandlyon.com/portail/fr/jeux-de-donnees/temperatures-moyennes--tm--mensualisees-des-stations-de-climatologie-sur-le-territoire-de-la-metropo/info)
(données elles-mêmes récupérées via API Météo France)

Code de la station Lyon Bron : 69123002

:::

Une modale d'information peut-être ouverte donnant des informations complémentaires sur la température moyenne.

### Comparatif de consommation

Pour chacun des fluides connectés, une ligne affiche la consommation pour le mois d'analyse, avec une **comparaison en pourcentage** par rapport au mois ou l'année précédente.

:::tip Échelle année/mois

Ce bloc permet la comparaison au mois précédent et s'il existe de la donnée pour au moins un des fluides, à l'année précédente.

Si de la donnée pour l'année précédente existe, le graphique de consommation est réglé sur l'échelle "Année" par défaut.

:::

Dans cette section, deux services sont utilisés :

- le **service de consommation** fournit la consommation de l'utilisateur pour le mois en cours
- le **service d'indicateur de performance** fournit un indicateur comparant le mois actuel et le mois précédent, ou entre l'année en cours et l'année précédente.

Afin d'obtenir une estimation précise de la consommation, nous utilisons le *fluidForecast* stocké dans le profil de l'utilisateur. Vous pouvez en voir plus à ce sujet dans la section suivante : [ProfileType](./profile.md)

:::tip Action au clic

L'utilisateur peut également accéder aux détails de chaque fluide en cliquant dessus. Cette action redirige vers la page "Consommation" correspondante.

- Si le bilan choisi est 'annuel', le graphique de consommation sera réglé sur l'échelle 'Année', et le bouton 'Comparer à l'année précédente' sera activé.
- Si le bilan choisi est mensuel, le graphique de consommation sera ajusté sur l'échelle 'Mois', et le bouton 'Comparer à l'année précédente' sera désactivé.

:::

## Bloc "Conso totale"

Ce bloc représente la répartition en euro de la consommation totale sous la forme d'un diagramme circulaire.

Une modale expliquant le calcul des prix peut-être ouverte en cliquant au milieu du diagramme.

## Bloc "Consommation maximale"

Ce bloque affiche un diagramme de barres de consommation et sélectionne le jour de consommation le plus élevé. Il est possible de naviguer entre les fluides connectés à l'aide de flèches.

## Bloc "Comparateur"

Ce bloc compare la consommation de l'utilisateur avec le profil moyen ou le profil idéal.

:::important Profil non renseigné

Si l'utilisateur n'a pas renseigné de profil, ce bloc affiche un bouton "Détailler mon profil" qui redirige l'utilisateur vers la page de profil.

:::

Un bouton au haut a droite du bloc permet de modifier son profil.

- à gauche, l'utilisateur peut voir sa consommation pour les fluides connectés.
- à droite, il y a le comparatif.

TODO : règle de calcul pour le comparatif ? "coefficient idéal de 10%."

En dessous des graphiques, une section peut être dépliée pour afficher des détails supplémentaires sur la comparaison.

Le total de consommation est affiché en euro tandis que chaque fluide est affichée avec son unité correspondante.

Notez que seuls les consommations liées à un fluide connecté sont prises en compte pour le calcul du prix total de la consommation idéale ou moyenne, même si les indicateurs de consommation sont affichés pour les fluides non connectés. (un indicateur est donné à l'utilisateur, en considérant qu'il peut utiliser ce fluide mais n'a pas de dispositif connecté).

## Bloc "Spécial Électricité"

Le bloc spécial électricité permet de comparer la consommation à l'échelle de la demi-heure un jour moyen de semaine et un jour moyen de weekend.

Des détails supplémentaires en dessous affichent :

- la puissance maximale atteinte
- la proportion de consommation en heure creuses
- la consommation minimale

Un bouton "Plus d'infos" permet de voir le calcul de ces chiffres.
