# Ecogesture

## Description

An ecogesture is a gesture that encourages user to take action for reduce their own consumption.

It includes different information such as icon, name, long and short description, its efficiency on the consumption and which fluid is affected.

Also, an ecogesture can be used for an action challenge.

[Ecogesture model](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/ecolyo/-/blob/dev/src/models/ecogesture.model.ts#L3)

## Order and filtering

### Not applied

The ecogestures are filtered depending on the user's equipments and usage.

:::note example
If the user doesn't have a specific equipment, the ecogestures related to this equipment are not displayed.
:::

### Score

They also have a score depending on the current season.

The score is calculated as follows:

:::danger Score calculation
SCORE = EFFICIENCY * 2 - DIFFICULTY
:::

:::tip Season adjustment

The score is adjusted with the current season. If the current season is the opposite of the season of the ecogesture, the score is 0. Example:

- During winter, ecogestures for air conditioning have a score of 0 and are displayed at the bottom of the list.
- During summer, ecogestures for heating have a score of 0 and are displayed at the top of the list.
- During spring and autumn, ecogestures no bonus or malus is applied.
- If the current season matches the season of the ecogesture, **a bonus of 1 is added** to the score.

_Summer is between 21st of June and 20th of September_

_Winter is between 31st of October and 30th of March_

:::

## Ecogestures screen

The former "ecogestures" has been renamed to "Astuces". It contains 3 tabs :

- **OBJECTIVES**: display the list of objectives ecogestures.
- **DOING**: display the list of doing ecogestures.
- **ALL**: display the full list of ecogestures.

Each tab can be filtered by usage.

### Navigation rules

- By default the **OBJECTIVES** tab is selected.
- If user click on an ecogesture, he will see details about it and will be able to update its status.
- The back arrow button on a single ecogesture returns to the tab he came through.

### Ecogesture Status

An ecogesture can have a status according the user's choice, it can be **doing** OR **objective** which allows the user to consult them in the related tabs in the ecogesture page.

## Profile Ecogesture

The first time the user consults the ecogesture page, he will be prompted to add informations about his profile to get personalized ecogesture.

- If he refuses by clicking on "Voir toutes les astuces", he will be redirected to the "All" tab.
- If he accepts by clicking on "Sélectionner", he will be redirect to the Ecogesture Form.

[Profile Ecogesture Model](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/ecolyo/-/blob/dev/src/models/profileEcogesture.model.ts#L4)

### Ecogesture Form

The form is composed in 4 steps :

- heating, collective or individual
- heating fluid type, electricity, gas, fuel...
- hot water, collective or individual
- equipments

:::important "Ecogesture Form vs Profile Form"

If the user has completed his profileType, he won't see the Ecogesture Form as it is automatically completed with the information he filled in his profileType:

- The first part filters his custom list by Usages ECS and HEATING
- The second part filters his custom list by Equipments

:::

## Ecogesture Selection

Once the user has completed his profile ecogesture through the form, he will go to the ecogesture selection (/ecogesture-selection).

- A list of custom ecogesture is made according to his profile
- User will cross this list by sets of 10 ecogesture, and has to choose if it is "**doing**" "**objective**" or "**not interested**"

When selecting a status, the field `viewedInSelection` is set to true, so the user won't see it again in its selection.

### Important Rules

- If uses refuses to do the selection for now, he will be reminded to do it in the 'doing' and 'objective' tabs, and a continue button will show
- User can go back and correct his answer at any time
- User can stop the process at any time, hist answer will be saved ad the next time he will open the selection, a new stack of 10 ecogesture is made (for example, user stops at 4/10, the next time he opens the selection it will be 4/14)
- If user chooses to select manually an ecogesture outside of the selection tunnel (through the 'all' tab), this ecogesture will be removed from the list it was existing in it.
- If user chooses to remove manually an ecogesture outside of the selection tunnel (through the 'doing' and 'objective' tab), these ecogestures won't be purposes again in the selection tunnel.
- User can't use the back arrow on the first ecogesture of selection list

Once the whole process is done, the user has no possibility to do it again through the tinder-like selection, but he can still edit his ecogestures manually from the various tabs.

### Case ecogesture usage is heating

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an individual heating which use electricity fluid.

OR

- the ecogesture has gas fluid and profile type has an individual heating which use gas fluid.

### Case ecogesture usage is ECS

> `ECS = Eau chaude sanitaire`

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an individual hot water which use electricity fluid.

OR

- the ecogesture has gas fluid and profile type has an individual hot water which use gas fluid.

### Case ecogesture usage is Cooking

We will display the ecogesture if:

- the ecogesture has electricity fluid and profile type has an electricity fluid for cooking.

OR

- the ecogesture has gas fluid and profile type has an gas fluid for cooking.

### Case ecogesture usage is cold water

We will display the ecogesture if the profile type has individual cold water.

### Case ecogesture usage is specific electricity

We will display the ecogesture.

### Case ecogesture usage is air conditioning

We will NOT display the ecogesture.
